Skip to main content
PUT
/
v1
/
persons
/
{personId}
/
paymentInfo
curl --request PUT \ --url https://api.cadanapay.com/v1/persons/{personId}/paymentInfo \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "preferredMethod": "ach", "ach": { "accountName": "John Doe", "accountNumber": "123456789", "bankName": "Gotham City Bank", "routingNumber": "000000000", "accountType": "Checking", "address": { "line1": "1234 Elm St", "line2": "Apt 1A", "city": "Gotham", "postalCode": "10001", "state": "NY", "countryCode": "US" } } } '
{
  "code": "invalid_request_body",
  "message": "The request body provided is not valid",
  "params": {
    "field": "Value is invalid."
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

personId
string<uuid>
required

The unique identifier for the person

Body

application/json

Update person payment info request payload

preferredMethod
enum<string>
required

The preferred payment method type

Available options:
momo,
bank,
swift,
ach,
wallet,
wire
Example:

"bank"

momo
object
bank
object
swift
object
ach
object
wallet
object
wire
object

Wire transfer payment details

Response

Successful operation